Debian Bug report logs - #680011
libpam-systemd: arch-dependent file in "Multi-Arch: same"

version graph

Package: libpam-systemd; Maintainer for libpam-systemd is Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>; Source for libpam-systemd is src:systemd.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Mon, 2 Jul 2012 22:18:21 UTC

Severity: important

Found in version systemd/44-3

Fixed in version systemd/44-4

Done: Tollef Fog Heen <tfheen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Mon, 02 Jul 2012 22:18:24 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: submit@bugs.debian.org
Subject: libpam-systemd: arch-dependent file in "Multi-Arch: same" package
Date: Tue, 3 Jul 2012 00:08:54 +0200
[Message part 1 (text/plain, inline)]
Package: libpam-systemd
Version: 44-3
Severity: important
User: multiarch-devel@lists.alioth.debian.org
Usertags: multiarch

libpam-systemd is marked as "Multi-Arch: same", but the following file 
is architecture-dependent:

/usr/share/man/man8/pam_systemd.8.gz

An example diff between i386 and armel (after ungzipping) is attached.

-- 
Jakub Wilk
[libpam-systemd_44-3.archdiff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 00:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to shawn <shawnlandden@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Jul 2012 00:42:08 GMT) Full text and rfc822 format available.

Message #8 received at 680011@bugs.debian.org (full text, mbox):

From: shawn <shawnlandden@gmail.com>
To: 680011@bugs.debian.org, control <control@bugs.debian.org>
Subject: re: libpam-systemd: arch-dependent file in "Multi-Arch: same" package
Date: Mon, 09 Jul 2012 17:39:52 -0700
retitle 680011 build-time timestamps in generated manpages break
multiarch
reassign 680011 docbook-xsl
affects 680011 systemd
tag 680011 patch
stop

In docbook-xsl/manpages/other.xsl:290 and 377 (see also
docbook-xsl/params/man.th.extra1.suppress.xml)

docbook emits build-time timestamps into man pages.
Since many packages build the manpages at every build,
if the package places them into arch-any packages the timestamp
breaks multi-arch.

Furthermore, the second timestamp, (man.th.extra1) is shown at
the bottom of the man page readout, and using the build-time rather
than the modify-time here is misleading.

Here is a patch against docbook-xsl to remove the first timestamp, but
I think a better solution would be to use the mtime of the .xml
file.

diff --git a/docbook-xsl/manpages/other.xsl
b/docbook-xsl/manpages/other.xsl
index 5431925..f140c27 100644
--- a/docbook-xsl/manpages/other.xsl
+++ b/docbook-xsl/manpages/other.xsl
@@ -290,11 +290,6 @@ manvolnum
     </xsl:call-template>
     <xsl:text> &lt;http://docbook.sf.net/></xsl:text>
     <xsl:text>&#10;</xsl:text>
-    <xsl:text>.\"      Date: </xsl:text>
-    <xsl:call-template name="replace.dots.and.dashes">
-      <xsl:with-param name="content" select="$date"/>
-    </xsl:call-template>
-    <xsl:text>&#10;</xsl:text>
     <xsl:text>.\"    Manual: </xsl:text>
     <xsl:call-template name="replace.dots.and.dashes">
       <xsl:with-param name="content" select="$manual"/>


-- 
-Shawn Landden





Changed Bug title to 'build-time timestamps in generated manpages break' from 'libpam-systemd: arch-dependent file in "Multi-Arch: same" package' Request was from shawn <shawnlandden@gmail.com> to control@bugs.debian.org. (Tue, 10 Jul 2012 00:42:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libpam-systemd' to 'docbook-xsl'. Request was from shawn <shawnlandden@gmail.com> to control@bugs.debian.org. (Tue, 10 Jul 2012 00:42:11 GMT) Full text and rfc822 format available.

No longer marked as found in versions systemd/44-3. Request was from shawn <shawnlandden@gmail.com> to control@bugs.debian.org. (Tue, 10 Jul 2012 00:42:11 GMT) Full text and rfc822 format available.

Added indication that 680011 affects systemd Request was from shawn <shawnlandden@gmail.com> to control@bugs.debian.org. (Tue, 10 Jul 2012 00:42:12 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from shawn <shawnlandden@gmail.com> to control@bugs.debian.org. (Tue, 10 Jul 2012 00:42:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
Bug#680011; Package docbook-xsl. (Tue, 10 Jul 2012 08:27:04 GMT) Full text and rfc822 format available.

Message #21 received at 680011@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Shawn Landden <shawnlandden@gmail.com>, 680011@bugs.debian.org
Subject: Re: Bug#680011: libpam-systemd: arch-dependent file in "Multi-Arch: same" package
Date: Tue, 10 Jul 2012 10:25:21 +0200
* shawn <shawnlandden@gmail.com>, 2012-07-09, 17:39:
>retitle 680011 build-time timestamps in generated manpages break
>multiarch
>reassign 680011 docbook-xsl
>affects 680011 systemd
>tag 680011 patch
>stop

This is wrong. I'm interested in the concrete bug in libpam-systemd. 
Just making docbook-xsl not output dates in comments won't make it 
magically go away; systemd would need to be rebuild afterwards.

Please reassign it back to libpam-systemd and then file a new bug if you 
want (with yourself as submitter, not me). Thanks.

-- 
Jakub Wilk




Changed Bug title to 'libpam-systemd: arch-dependent file in "Multi-Arch: same"' from 'build-time timestamps in generated manpages break' Request was from shawn <shawnlandden@gmail.com> to control@bugs.debian.org. (Tue, 10 Jul 2012 16:12:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'docbook-xsl' to 'systemd'. Request was from shawn <shawnlandden@gmail.com> to control@bugs.debian.org. (Tue, 10 Jul 2012 16:12:10 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from shawn <shawnlandden@gmail.com> to control@bugs.debian.org. (Tue, 10 Jul 2012 16:21:09 GMT) Full text and rfc822 format available.

Bug reassigned from package 'systemd' to 'libpam-systemd'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 10 Jul 2012 16:24:03 GMT) Full text and rfc822 format available.

Marked as found in versions systemd/44-3. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 10 Jul 2012 16:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to shawn <shawnlandden@gmail.com>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Jul 2012 16:33:04 GMT) Full text and rfc822 format available.

Message #36 received at 680011@bugs.debian.org (full text, mbox):

From: shawn <shawnlandden@gmail.com>
To: 680011 <680011@bugs.debian.org>
Date: Tue, 10 Jul 2012 09:28:50 -0700
A workaround for this bug, would be to ship the man pages in a arch:
all, instead of arch: any package, this way they would only be built
once. (there would only be one package), but it would also mean another
package. Any other way that involved post-processing the generated man
pages seems very ugly.
-- 
-Shawn Landden





Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Jul 2012 16:42:03 GMT) Full text and rfc822 format available.

Message #41 received at 680011@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: shawn <shawnlandden@gmail.com>, 680011@bugs.debian.org
Subject: Re: Bug#680011:
Date: Tue, 10 Jul 2012 18:39:38 +0200
[Message part 1 (text/plain, inline)]
On 10.07.2012 18:28, shawn wrote:
> A workaround for this bug, would be to ship the man pages in a arch:
> all, instead of arch: any package, this way they would only be built
> once. (there would only be one package), but it would also mean another
> package. Any other way that involved post-processing the generated man
> pages seems very ugly.

Splitting off an arch:all package for a single man page is overkill.

I would probably just ignore the bug and wait for a fix in docbook-xsl
or remove ma:same from libpam-systemd again for the time being.

i386 and amd64 currently have the same md5sum [1] (due to being compiled
on the same day), so those packages can be co-installed, safely.
Other combinations are much less common.

Michael

[1] http://people.debian.org/~jwilk/multi-arch/same-md5sums.txt
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 17:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Jul 2012 17:48:04 GMT) Full text and rfc822 format available.

Message #46 received at 680011@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 680011@bugs.debian.org
Cc: shawn <shawnlandden@gmail.com>
Subject: Re: Bug#680011:
Date: Tue, 10 Jul 2012 19:44:47 +0200
[Message part 1 (text/plain, inline)]
On 10.07.2012 18:39, Michael Biebl wrote:
> On 10.07.2012 18:28, shawn wrote:
>> A workaround for this bug, would be to ship the man pages in a arch:
>> all, instead of arch: any package, this way they would only be built
>> once. (there would only be one package), but it would also mean another
>> package. Any other way that involved post-processing the generated man
>> pages seems very ugly.
> 
> Splitting off an arch:all package for a single man page is overkill.
> 
> I would probably just ignore the bug and wait for a fix in docbook-xsl
> or remove ma:same from libpam-systemd again for the time being.
> 
> i386 and amd64 currently have the same md5sum [1] (due to being compiled
> on the same day), so those packages can be co-installed, safely.
> Other combinations are much less common.

As for a work-around:
the attached, simple script replaces the dates with the mtime of the
corresponding .xml file.
This could be run in
override_dh_install: before we call dh_install

Cheers,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[fix-timestamps.sh (application/x-shellscript, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 18:12:06 GMT) Full text and rfc822 format available.

Message #49 received at 680011@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 680011@bugs.debian.org
Cc: Shawn Landden <shawnlandden@gmail.com>
Subject: Re: Bug#680011:
Date: Tue, 10 Jul 2012 20:09:14 +0200
* Michael Biebl <biebl@debian.org>, 2012-07-10, 19:44:
>As for a work-around:
>the attached, simple script replaces the dates with the mtime of the 
>corresponding .xml file.
>This could be run in override_dh_install: before we call dh_install

It might be simpler to run xsltproc (or whatever does the conversion) 
under faketime.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 18:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Jul 2012 18:27:07 GMT) Full text and rfc822 format available.

Message #54 received at 680011@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: shawn <shawnlandden@gmail.com>, 680011@bugs.debian.org
Subject: Re: Bug#680011:
Date: Tue, 10 Jul 2012 20:25:16 +0200
[Message part 1 (text/plain, inline)]
Shawn,

On 10.07.2012 18:39, Michael Biebl wrote:

> Splitting off an arch:all package for a single man page is overkill.
> 
> I would probably just ignore the bug and wait for a fix in docbook-xsl
> or remove ma:same from libpam-systemd again for the time being.

have you filed a corresponding bug against docbook-xsl?




-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 18:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Jul 2012 18:36:06 GMT) Full text and rfc822 format available.

Message #59 received at 680011@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 680011@bugs.debian.org, Shawn Landden <shawnlandden@gmail.com>, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#680011:
Date: Tue, 10 Jul 2012 20:33:20 +0200
[Message part 1 (text/plain, inline)]
On 10.07.2012 20:09, Jakub Wilk wrote:
> * Michael Biebl <biebl@debian.org>, 2012-07-10, 19:44:
>> As for a work-around:
>> the attached, simple script replaces the dates with the mtime of the 
>> corresponding .xml file.
>> This could be run in override_dh_install: before we call dh_install
> 
> It might be simpler to run xsltproc (or whatever does the conversion) 
> under faketime.

This adds an additional b-dep on faketime, but fair enough.

The attached patch seems to do the trick for me.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[systemd-man-page-dates.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Jul 2012 18:42:04 GMT) Full text and rfc822 format available.

Message #64 received at 680011@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 680011@bugs.debian.org, Shawn Landden <shawnlandden@gmail.com>, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#680011:
Date: Tue, 10 Jul 2012 20:39:54 +0200
[Message part 1 (text/plain, inline)]
On 10.07.2012 20:33, Michael Biebl wrote:
> On 10.07.2012 20:09, Jakub Wilk wrote:
>> * Michael Biebl <biebl@debian.org>, 2012-07-10, 19:44:
>>> As for a work-around:
>>> the attached, simple script replaces the dates with the mtime of the 
>>> corresponding .xml file.
>>> This could be run in override_dh_install: before we call dh_install
>>
>> It might be simpler to run xsltproc (or whatever does the conversion) 
>> under faketime.
> 
> This adds an additional b-dep on faketime, but fair enough.
> 
> The attached patch seems to do the trick for me.

And to avoid skew from differing timezones, also set TZ to GMT...


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[systemd-man-page-dates.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Jul 2012 19:03:04 GMT) Full text and rfc822 format available.

Message #69 received at 680011@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 680011@bugs.debian.org
Cc: Shawn Landden <shawnlandden@gmail.com>, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#680011:
Date: Tue, 10 Jul 2012 20:58:59 +0200
[Message part 1 (text/plain, inline)]
On 10.07.2012 20:39, Michael Biebl wrote:
> And to avoid skew from differing timezones, also set TZ to GMT...

It seems faketime seems to handle timezone information just fine, which
simplifies it quite a bit.

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[systemd-man-page-dates.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 19:12:06 GMT) Full text and rfc822 format available.

Message #72 received at 680011@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 680011@bugs.debian.org
Subject: Re: Bug#680011:
Date: Tue, 10 Jul 2012 21:09:42 +0200
* Michael Biebl <biebl@debian.org>, 2012-07-10, 20:58:
>It seems faketime seems to handle timezone information just fine, which 
>simplifies it quite a bit.

It parses timezones correctly, but it doesn't change TZ for the program 
it executes. So xsltproc would still print date in local timezone, 
unless you reset TZ manually.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Jul 2012 19:18:03 GMT) Full text and rfc822 format available.

Message #77 received at 680011@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 680011@bugs.debian.org
Subject: Re: Bug#680011:
Date: Tue, 10 Jul 2012 21:15:13 +0200
[Message part 1 (text/plain, inline)]
On 10.07.2012 21:09, Jakub Wilk wrote:
> * Michael Biebl <biebl@debian.org>, 2012-07-10, 20:58:
>> It seems faketime seems to handle timezone information just fine, which 
>> simplifies it quite a bit.
> 
> It parses timezones correctly, but it doesn't change TZ for the program 
> it executes. So xsltproc would still print date in local timezone, 
> unless you reset TZ manually.

You are right, of course.
Updated patch attached.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[systemd-man-page-dates.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 20:09:21 GMT) Full text and rfc822 format available.

Message #80 received at 680011@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 680011@bugs.debian.org
Subject: Re: Bug#680011:
Date: Tue, 10 Jul 2012 22:08:38 +0200
* Michael Biebl <biebl@debian.org>, 2012-07-10, 21:15:
>>It parses timezones correctly, but it doesn't change TZ for the 
>>program it executes. So xsltproc would still print date in local 
>>timezone, unless you reset TZ manually.
>
>You are right, of course.
>Updated patch attached.
>
[...]
>-	$(XSLTPROC) -o $@ $(XSLTPROC_FLAGS) http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
>+	faketime "`TZ=GMT stat -c %y $<`" $(XSLTPROC) -o $@ $(XSLTPROC_FLAGS) http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<

Hmm. This sets TZ for stat (which I don't believe makes any 
difference), but not for xsltproc (which is what I think actually 
matters).

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Jul 2012 21:06:03 GMT) Full text and rfc822 format available.

Message #85 received at 680011@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 680011@bugs.debian.org
Subject: Re: Bug#680011:
Date: Tue, 10 Jul 2012 23:03:20 +0200
[Message part 1 (text/plain, inline)]
On 10.07.2012 22:08, Jakub Wilk wrote:
> * Michael Biebl <biebl@debian.org>, 2012-07-10, 21:15:
>>> It parses timezones correctly, but it doesn't change TZ for the 
>>> program it executes. So xsltproc would still print date in local 
>>> timezone, unless you reset TZ manually.
>>
>> You are right, of course.
>> Updated patch attached.
>>
> [...]
>> -	$(XSLTPROC) -o $@ $(XSLTPROC_FLAGS) http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
>> +	faketime "`TZ=GMT stat -c %y $<`" $(XSLTPROC) -o $@ $(XSLTPROC_FLAGS) http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
> 
> Hmm. This sets TZ for stat (which I don't believe makes any 
> difference), but not for xsltproc (which is what I think actually 
> matters).

This should hopefully do it now.

Thanks for the review.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?
[systemd-man-page-dates.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#680011; Package libpam-systemd. (Tue, 10 Jul 2012 21:18:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 10 Jul 2012 21:18:23 GMT) Full text and rfc822 format available.

Message #90 received at 680011@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 680011@bugs.debian.org
Subject: Re: Bug#680011:
Date: Tue, 10 Jul 2012 23:11:27 +0200
[Message part 1 (text/plain, inline)]
On 10.07.2012 23:03, Michael Biebl wrote:
> On 10.07.2012 22:08, Jakub Wilk wrote:

>>> -	$(XSLTPROC) -o $@ $(XSLTPROC_FLAGS) http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
>>> +	faketime "`TZ=GMT stat -c %y $<`" $(XSLTPROC) -o $@ $(XSLTPROC_FLAGS) http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl $<
>>
>> Hmm. This sets TZ for stat (which I don't believe makes any 
>> difference), but not for xsltproc (which is what I think actually 
>> matters).

TZ=UTC would probably be a bit nicer. Shouldn't really matter that much,
though.

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Tollef Fog Heen <tfheen@debian.org>:
You have taken responsibility. (Sat, 21 Jul 2012 22:51:11 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sat, 21 Jul 2012 22:51:12 GMT) Full text and rfc822 format available.

Message #95 received at 680011-close@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@debian.org>
To: 680011-close@bugs.debian.org
Subject: Bug#680011: fixed in systemd 44-4
Date: Sat, 21 Jul 2012 22:47:13 +0000
Source: systemd
Source-Version: 44-4

We believe that the bug you reported is fixed in the latest version of
systemd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680011@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tollef Fog Heen <tfheen@debian.org> (supplier of updated systemd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Jul 2012 08:17:50 +0200
Source: systemd
Binary: systemd systemd-sysv libpam-systemd systemd-gui libsystemd-login0 libsystemd-login-dev libsystemd-daemon0 libsystemd-daemon-dev libsystemd-journal0 libsystemd-journal-dev libsystemd-id128-0 libsystemd-id128-dev
Architecture: source amd64
Version: 44-4
Distribution: unstable
Urgency: low
Maintainer: Tollef Fog Heen <tfheen@debian.org>
Changed-By: Tollef Fog Heen <tfheen@debian.org>
Description: 
 libpam-systemd - system and service manager - PAM module
 libsystemd-daemon-dev - systemd utility library - development files
 libsystemd-daemon0 - systemd utility library
 libsystemd-id128-0 - systemd 128 bit ID utility library
 libsystemd-id128-dev - systemd 128 bit ID utility library - development files
 libsystemd-journal-dev - systemd journal utility library - development files
 libsystemd-journal0 - systemd journal utility library
 libsystemd-login-dev - systemd login utility library - development files
 libsystemd-login0 - systemd login utility library
 systemd    - system and service manager
 systemd-gui - system and service manager - GUI
 systemd-sysv - system and service manager - SysV links
Closes: 665943 668047 679728 680011
Changes: 
 systemd (44-4) unstable; urgency=low
 .
   [ Michael Biebl ]
   * Override timestamp for man page building, thereby avoiding skew
     between architectures which caused problems for multi-arch.
     Closes: #680011
 .
   [ Tollef Fog Heen ]
   * Move diversion removal from postinst to preinst.  Closes: #679728
   * Prevent the journal from crashing when running out of disk space.
     This is 499fb21 from upstream.  Closes: #668047.
   * Stop mounting a tmpfs on /media.  Closes: #665943
Checksums-Sha1: 
 7f3e457c3829024cd806e7a534b3ea737ede6156 2834 systemd_44-4.dsc
 b42beb7db49f453c45bf349591f6b5f245ae3a4d 22739 systemd_44-4.debian.tar.gz
 f7e1420e4f4364c0874a55054bb0914c3b01faf5 1441890 systemd_44-4_amd64.deb
 631e760fb9802f26117b0f99d5cbd3b6ae296279 13662 systemd-sysv_44-4_amd64.deb
 d556ba0f4c9772f9d307d04087c0435e0f0690e6 31340 libpam-systemd_44-4_amd64.deb
 084b9ae92c564c3e35f49e8866df9bfc2042d986 65414 systemd-gui_44-4_amd64.deb
 c690b7fc7fcf6680812de2d2b370e62474b458fc 27948 libsystemd-login0_44-4_amd64.deb
 a58955db5eed69cb0bf0e7cb95be8f113de51829 10380 libsystemd-login-dev_44-4_amd64.deb
 2b86210f3c5bb779f446f589b130fb1da3f51b9f 13400 libsystemd-daemon0_44-4_amd64.deb
 fbdccff18795167ee82c34708e06b4988ad62169 12854 libsystemd-daemon-dev_44-4_amd64.deb
 d0df1b2cbafe9223052254a56e486829e4ee9c17 41076 libsystemd-journal0_44-4_amd64.deb
 56e6dc18d81cc5ca8b1833f846b0ed9b6f947f64 9996 libsystemd-journal-dev_44-4_amd64.deb
 7f7317c9ed590d7e68e3d479a36a0cae6048bcf4 19490 libsystemd-id128-0_44-4_amd64.deb
 1bbf9f160326b0aa1e88d5d87deb192a8c6748a9 9356 libsystemd-id128-dev_44-4_amd64.deb
Checksums-Sha256: 
 c3a6e670c570242ad2b3d967bd0ef671b2a7974e5f3f2e8611214c395768d393 2834 systemd_44-4.dsc
 344b8f5b52c505e0ccac1905c3ed3fca9d6ee5fd51a07e10acb17341dd264699 22739 systemd_44-4.debian.tar.gz
 12626177818a6031615a0c9827c70d78bc67c4434d2d6c9cd6b2b709a0d66c12 1441890 systemd_44-4_amd64.deb
 57096fa9990c81cca66645b3367f6f26a209e09732c8d67d06a8551c9e8fb1e9 13662 systemd-sysv_44-4_amd64.deb
 47da910210f0c4e845f42113677dcb8b433a9f00f464adac56a9f5dbbb242963 31340 libpam-systemd_44-4_amd64.deb
 456a97cbbf6dcfc39e5d05411da5643d9dabc94ecff3a2536984653f9702a80f 65414 systemd-gui_44-4_amd64.deb
 2d94191ba5b07892c5652957c6b26a45809e997b36ff232c34fb86fd1f352e7e 27948 libsystemd-login0_44-4_amd64.deb
 fa00d45ae28a56b5624e5b44ffe4a5fef5072026767dfe971c0fd8145a26db16 10380 libsystemd-login-dev_44-4_amd64.deb
 691607a83c95bfc91c4673823c64f16d635e4699f1a89f77a23349cb14aaf662 13400 libsystemd-daemon0_44-4_amd64.deb
 c9eecc9f7a3105767ce27abfad68b6e07111b3ea2e0d8527cb7cc8592d0813a7 12854 libsystemd-daemon-dev_44-4_amd64.deb
 2371262e4c572aaf8546711bd49bf0fb1592b2ef11ec2dbb28dd1473c83d4418 41076 libsystemd-journal0_44-4_amd64.deb
 a42d2564de18454844fe202e6e27827c19439766e83aad7cbb116f76aa6a8d93 9996 libsystemd-journal-dev_44-4_amd64.deb
 ecb13182deadf872ac8afda86d4521950f63421a0ef09752b8f1739788f5bac6 19490 libsystemd-id128-0_44-4_amd64.deb
 1dad6726aa04f3d35600801390d82e12ef9d73e3c285eb3b00f5eee1c63d3652 9356 libsystemd-id128-dev_44-4_amd64.deb
Files: 
 93be064c1d636885c12bd12e0d5a8e63 2834 admin extra systemd_44-4.dsc
 51543cfc2b6aa8c2c681f16fd08a7488 22739 admin extra systemd_44-4.debian.tar.gz
 5bea5a66d1687d76db45816369dd8469 1441890 admin extra systemd_44-4_amd64.deb
 e661783f5a07271c95f1a887bf3f4072 13662 admin extra systemd-sysv_44-4_amd64.deb
 8001180d6b90965025d5a68ba307f334 31340 admin extra libpam-systemd_44-4_amd64.deb
 46920c5bd9394a3ad0828a4d6f181318 65414 admin extra systemd-gui_44-4_amd64.deb
 dc87ccd2e14ea4ab9cc87df8c28d14a9 27948 libs extra libsystemd-login0_44-4_amd64.deb
 fc7f2ee0da7c8d778f0789bb8de614a7 10380 libdevel extra libsystemd-login-dev_44-4_amd64.deb
 6b484a54f5b105e77128ac37a47cd2a3 13400 libs extra libsystemd-daemon0_44-4_amd64.deb
 c004bb9f8ec2e0653fb03aa0bf4916fd 12854 libdevel extra libsystemd-daemon-dev_44-4_amd64.deb
 ad6be78946553b7ab0057d595ce5b6bd 41076 libs extra libsystemd-journal0_44-4_amd64.deb
 a06d74aad2dcd0e8470b29145ddbaf48 9996 libdevel extra libsystemd-journal-dev_44-4_amd64.deb
 e9bd20b4a29c3f773aa2a03868879569 19490 libs extra libsystemd-id128-0_44-4_amd64.deb
 9f3cb45b2f8ba0c2fe9ef3d32d6982f2 9356 libdevel extra libsystemd-id128-dev_44-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJQCy25AAoJELZaSHHKGdcXAd0P/29EPynj77TebOjJYeJeoGo7
/67QCl9GoZgTzjStm4EDO/2ihTiKbHt7bAItZZLCCIy23pz+5alhmQPPAIDR7Pe9
cjjd1GFLd1wlq7xbmtQtSTsQ2YXNxeYCWn0+vU8M2fjrNxE5o0k2dMp42aAEPmth
ZfibmzQnaDyBPLmdWY7F2IrNVf/82Ai7cvh3Q9q3jCfYuRMVYPaQiUWcJ6EvTvTj
mevBc4mJB4gxvTtWPld9TWs6n2ZM3RR3faTSP/JZLh5UY7uuXW73Zy0VhD6aRsUd
doomSXEKAZfIhj7lPy27v0821fqhyXGsC0bII5Ip0Mgs5GzkDift9EQYIw8NlLaS
Wd9fMZMhucM7KiDsi6wV7LNYJx1JQVi/eqOHxFVVoeNqj42ee6vBiuC/fi0x7qqU
LmK0W13FQeoUZkp2X2hRIPmwJTvGeP94jhjcv16AurtVOEaDYywyEAW/ce6f1NW+
EaaYtJ2IeXmP58X4qRyyJXLCFhApepnyrgX7ZBA92AjYdtLKFXHArY9FdG5rMXYr
afvB5VtE+YQWh6fSdNCYdlCtI0kUNa61qgbE5hXkfoNzxdccPaJXfu/H733R1OtF
j/Y3HbyL6jivTfRlOVbmfD8LLrI1k52/Q4Lob20AAj6F/aaD+zIK45w8FBYiKhg+
gJzYVD/OonmI0oQkiSt8
=K/YQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Aug 2012 07:26:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:03:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.